package de.mlessmann.certassist;

import de.mlessmann.certassist.CertificateRequest.RequestType;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

public class TestOpenSSLCertificateCreator {

    private OpenSSLCertificateCreator openSSLCertificateCreator;

    @BeforeEach
    void setUp() {
        ExecutableResolver executableResolver = new ExecutableResolver();
        openSSLCertificateCreator = new OpenSSLCertificateCreator(executableResolver);
    }

    @Test
    void testCertificateCreation() {
        CertificateRequest certRequest = CertificateRequest.builder()
                                                     .commonName("test.home")
                                                     .type(RequestType.STANDALONE_CERTIFICATE)
                                                     .build();

        openSSLCertificateCreator.createCertificate(certRequest);
    }
}
